import { Component, OnInit } from '@angular/core';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { AccountComponent } from './account/account.component';
import { AccountEditComponent } from './account/account-edit/account-edit.component';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'account', component: AccountComponent }
    ]
  }
];

const COMPONENTS_NOROUNT = [ AccountEditComponent ];

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    ...COMPONENTS_NOROUNT,
    AccountComponent,
    AccountEditComponent

  ],
  entryComponents: COMPONENTS_NOROUNT
})
export class SystemsModule { }
